> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create customer address



## OpenAPI

````yaml Customer post /createAddress/{customerId}
openapi: 3.0.1
info:
  title: Customer
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/customer/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /createAddress/{customerId}:
    post:
      operationId: postCreateaddressCustomerid
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/CreateAddressRequestItem'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    CreateAddressRequestItem:
      type: object
      properties:
        addressPurpose:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/Address'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    Address:
      type: object
      properties:
        country:
          type: string
          nullable: true
        area:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        zipCode:
          type: string
          nullable: true
        street:
          type: string
          nullable: true
        streetNumber:
          type: array
          items:
            type: string
        building:
          type: string
          nullable: true
        apartment:
          type: string
          nullable: true
        entrance:
          type: string
          nullable: true
        floor:
          type: string
          nullable: true
        doorNumber:
          type: string
          nullable: true
        geoPosition:
          $ref: '#/components/schemas/GeoPosition'
        alternative:
          $ref: '#/components/schemas/Alternative'
        relatedToAddress:
          type: array
          items:
            $ref: '#/components/schemas/RelatedToAddressItem'
        additionalData:
          type: array
          items:
            $ref: '#/components/schemas/AdditionalDataItem'
    GeoPosition:
      type: object
      properties:
        latitude:
          type: integer
          format: int64
          nullable: true
        longitude:
          type: integer
          format: int64
          nullable: true
        altitude:
          type: integer
          format: int64
          nullable: true
    Alternative:
      type: object
      properties:
        word1:
          type: string
          nullable: true
        word2:
          type: string
          nullable: true
        word3:
          type: string
          nullable: true
    RelatedToAddressItem:
      type: object
      properties:
        relationType:
          type: string
          nullable: true
    AdditionalDataItem:
      type: object
      properties:
        name:
          type: string
          nullable: true
        type:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````